<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_8368ecd" . "0faa75c0" . "4b4e54ea" . "c3bd45d6" . "3" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uIGNhY2h" . "l"), "_2d885755f5913deb2b5a" . "483bd67611d1" => base64_decode("Y2ZnX2xvY2FsX2RhdGFfZ" . "Gly"), "_db7b295629fa" . "a16027a2c2630" . "95eba70" => base64_decode("cGhwX" . "3NhcG" . "lfbmF" . "tZQ=="), "_8fec21706bd" . "243b37ecf62b" . "1caf8fb8a" => base64_decode("Y2x" . "p"), "_f02edf67305" . "f5d984784e5a" . "63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbW" . "Vtb3J5IGNhY2hlcyAocnVubmlu" . "ZyBmcm9tIHRoZSBjb21tYW5kIG" . "xpbmUp"), "_edd716f0baedc2427c121be5" . "29bf222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsI" . "GNhY2hlcw=="), "_8fd6da143a74" . "2433037d3741c" . "26c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZXRzIGNhY2h" . "l"), "_593349d6587de2820ea940082ef8" . "271e" => base64_decode("Q2xlYXJpbmcgVGVtcG" . "xhdGVyIGNhY2hl"), "_4d707fab93bebb00bbe69e8159697" . "c90" => base64_decode(""), "_db98357e662ee4057f89ee5" . "0fd63a2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGF" . "zc2V0cyBjYWNoZQ=="), "_22ac6aae" . "2762e0f31" . "0c495384c" . "477dc8" => base64_decode("Lmdp" . "dGtl" . "ZXA="), "_d9040256bff" . "96ad2c221f79" . "439e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZWN0b3J5I" . "A=="), "_282505db60b6a60f1a0c54a" . "0f8c27092" => base64_decode("VEVNUExBVEVSX0NB" . "Q0hFX0RJUg=="), "_70373a6864aa24" . "3b3e8b9c38ac08e" . "7ff" => base64_decode("Q2xlYXJpbmc" . "gVHdpZyBjYW" . "NoZQ=="), "_3d13c2fddaab71a0" . "9eeaf22607f1db0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZCBjYWNoZ" . "XM="), "_dd17da474489" . "c53ba873b91c0" . "6c72f29" => base64_decode("L3R3aWdfY2FjaGU" . "="), "_2935eb81473a5cdf164ba52d" . "c31d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IG" . "NhY2hlcw=="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $twig_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_282505db60b6a" . "60f1a0c54a0f8c" . "27092"]);
        $this->twig_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2d885755f5913deb" . "2b5a483bd67611d1"]) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_dd17da474489c53ba873b91c06" . "c72f29"];
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_edd716f0baedc2427c121be5" . "29bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_db7b295629faa16027a2c2630" . "95eba70"]() !== $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8fec21706bd243b37ecf" . "62b1caf8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f02edf67305f5d984784e5a63acb" . "5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
        $this->ClearTwig();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3d13c2fddaab71a09eeaf226" . "07f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8368ecd0faa75c04b4e54eac3bd45d6" . "3"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8fd6da143a74243" . "3037d3741c26c9f1" . "4"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_db98357e662ee4057f89ee50fd63a" . "2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2935eb81473a5cdf164ba" . "52dc31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_593349d6587" . "de2820ea9400" . "82ef8271e"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    public function ClearTwig()
    {
        $this->logger->info($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_70373a6864aa243" . "b3e8b9c38ac08e7f" . "f"]);
        return $this->ClearDirectory($this->twig_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d9040256bff96ad2c221f79439e05" . "60c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_22ac6aae2762e0" . "f310c495384c477" . "dc8"]);
    }
}